Page MenuHome

Multi-Object-Editing: Weld Edges into Faces(MESH_OT_face_split_by_edges)
ClosedPublic

Authored by Nick Milios (semaphore) on May 9 2018, 9:26 PM.

Diff Detail

Repository
rB Blender

Event Timeline

source/blender/editors/mesh/editmesh_intersect.c
676

i missed that

source/blender/editors/mesh/editmesh_intersect.c
686

and that.
how can i combine two git commits to one patch?

Nick Milios (semaphore) planned changes to this revision.May 9 2018, 10:29 PM
Dalai Felinto (dfelinto) requested changes to this revision.May 11 2018, 12:17 PM
Dalai Felinto (dfelinto) added inline comments.
source/blender/editors/mesh/editmesh_intersect.c
686

Shouldn't you skip (continue) the for loop when no edge nor face is selected? (totedgesel == 0) || (totvertsel == 0)

929

Missing MEM_freeN(objects).

This revision now requires changes to proceed.May 11 2018, 12:17 PM
Nick Milios (semaphore) marked 2 inline comments as done.
Nick Milios (semaphore) marked 2 inline comments as done.May 13 2018, 9:27 PM
Dalai Felinto (dfelinto) requested changes to this revision.May 14 2018, 12:58 PM

The patch is failing to apply. Can you please re-submit it with arcanist?
https://wiki.blender.org/index.php/Dev:Doc/Tools/Code_Review#Use_Arcanist

That also allows me to just submit the patch, but have it properly credited to you.

This revision now requires changes to proceed.May 14 2018, 12:58 PM
Nick Milios (semaphore) retitled this revision from Multi-Object-Editing: Weld Edges into Faces(MESH_OT_face_split_by_edges) to Multi-Object-Editing: Weld Edges into Faces(MESH_OT_face_split_by_edges).

rebase 2.8

Thanks you , committed.

This revision was not accepted when it landed; it landed in state Needs Review.May 16 2018, 11:56 AM
This revision was automatically updated to reflect the committed changes.